Subject: [BLISS] SIP SIMPLE: "do not disturb" interoperability

From: Raphael Bossek <[email-masked]>
Date: Thu, 25 Aug 2011 14:36:09 +0200

Dear IETF BLISS,

Just one sentence about me and ESTOS GmbH (http://www.estos.com) , the company I'm working for. I'm looking for a standard compliant solution for instant messaging exchange the "do not disturb"/DND presence information between clients - if possible without introduction of new tags or values. ESTOS GmbH is a software manufacturer for unified communication and collaboration products and depends heavily on standards for interoperability with PBX and phone manufactures.

I've studied the RFC 4479 (http://tools.ietf.org/html/rfc4479#page-13 ) chapter "Reach Information" at page 13: "It is also possible for a presence document to contain a service that has no reach information at all.  In such a case, the presentity is indicating that the service exists, but is electing not to offer the watcher the opportunity to connect to it."

The example from RFC 4480 (http://tools.ietf.org/html/rfc4480#page-19 ) chapter "Example" at page 13 describe a "do not disturb" case: "<contact priority="0.8">im:[email-masked]</contact<im:[email-masked]%3c/contact>>"

As conclusion we could say that "do not disturb" is set if

n  Contact address for a <tuple> is missing (refer to RFC 4479) or

n  The priority for the contact address within a service is less than 1.0 (refer to RFC 4480)

What do you thing about this interpretation?

I would like to fixating that officially but I'm not confirm with the IEFT process. Should this discussion be continued at https://lists.cs.columbia.edu/pipermail/sip-implementors/2008-April/018968.html ?

At the end I would like to make a publication at http://stackoverflow.com/questions/6057830/sip-simple-pidf-convention-for-do-not-disturb-dnd-presence-extension and some open source projects about the way to do. I have also contact to SEN OpenStage phone people. Maybe they will join this discussion.

Would appreciate to hear from you,

i.A. Raphael Bossek
Software Architect

ESTOS GmbH
Petersbrunner Str. 3a
82319 Starnberg, Germany

Phone:  +49 (8151) 36856-153
Fax:    +49 (8151) 36856-853
Mobile: +49 (151) 59177535

E-Mail: [email-masked]
Web:    http://www.estos.de<http://www.estos.de/>

// Webinar: Facebook Killer Federation? 29. Sept 2011 um 10.00 Uhr.
Jetzt anmelden!<http://www.estos.de/partner/webinare/webinar-facebook-killer-federation.html>

<http://www.estos.de/partner/webinare/webinar-facebook-killer-federation.html>

// W?hlen Sie ProCall!
Sie finden ProCall ein tolles Produkt? Stimmen Sie jetzt bei der gro?en
Funkschau-Leserwahl f?r ESTOS. Hier geht's zum Voting...<http://www.funkschau.de/specials/itk2011/fragebogen/>

<http://www.funkschau.de/specials/itk2011/fragebogen/>

---
ESTOS GmbH
Registered office: Starnberg, Germany
Commercial registry Munich, HRB 133 670
Managing Directors: Dipl.-Phys. Stephan Eckbauer, Dipl.-Ing. Stefan Hobratschk, Ing. Christoph L?sch, Florian Bock